Subject: Re: [Forces-protocol] Issue 4&5: Congestion control, DoS protection, and Reliability

From: [email-masked]
Date: Sat, 20 Mar 2004 11:03:11 +0800

Hi Alex,

You are right, but I would perfer to define it as DoS/Congestion when the D 
packet stream has actually threatened the proper transmission of C packet 
stream. I mentioned this in the reply to Hormuzd on these issues. 

Cheers,
Weiming
----- Original Message ----- 
From: Alex Audu 
To: Wang,Weiming 
Cc: [email-masked] 
Sent: Saturday, March 20, 2004 4:01 AM
Subject: Re: [Forces-protocol] Issue 4&5: Congestion control, DoS protection, 
and Reliability

Hello Weiming,

That is good, but what I am saying is, you can't make a general 
characterization that
every high resource usage is a DOS scenario. It may just be that the FE is just 
being 
overloaded with good traffic. 

Cheers,
Alex.

Wang,Weiming wrote:

Hello Alex,

I think what you said is exactly what I meant. That is, something like 'DoS
Alert Policy' as called in GRMP should be used to determine when a DoS is
considered and an alert event is sent from FE to CE. Actually I don't think to
manage this policy is outside the scope of ForCES, it can surely be set up as a
kind of FE attribute to FE by CE. And moreover, I'm afraid a pure resource usage
status report is not enough for DoS alert purpose.

On the other hand, I have to say what set in current GRMP for 'DoS alert policy'
seems a little naive. We need improvement on this, that is, to find a better and
more efficient description for the policy.

Thank you.

Weiming

----- Original Message -----
From: "Alex Audu" <[email-masked]>
To: <[email-masked]>
Cc: <[email-masked]>
Sent: Friday, March 19, 2004 2:47 AM
Subject: Re: [Forces-protocol] Issue 4&5: Congestion control, DoS protection,
and Reliability

Hello Weiming,

I don't think it is possible for us to come up with a mechanism to
determine if an FE is being
DOS'd. The final determination of that may depend on situation at hand,
since attack
signatures are typically different for different DOS attacks. I think
the final decision as to
if a DOS is really occuring is best left to policy on the NE. This is
outside ForCES scope.
But we can have FE report resource usage status to CE. I think FACT
already has
such report.

Regards,
Alex.

-------------------------------------------------
This mail sent through HUCNIC Webmail system.

_______________________________________________
Forces-protocol mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/forces-protocol